Skip to main content
POST
/
contentful2
/
v1
/
sync
/
convert-to-xliff
Convert raw content from Contentful to XLIFF synchronously
curl --request POST \
  --url https://eu.phrase.com/connectors/contentful2/v1/sync/convert-to-xliff \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rawFiles": [
    {
      "storageId": "e48eda63928c4155bez9fdbsaadc15f3",
      "info": {
        "name": "entry-123.json"
      }
    }
  ],
  "sourceLocale": "en-US"
}
'
import requests

url = "https://eu.phrase.com/connectors/contentful2/v1/sync/convert-to-xliff"

payload = {
"rawFiles": [
{
"storageId": "e48eda63928c4155bez9fdbsaadc15f3",
"info": { "name": "entry-123.json" }
}
],
"sourceLocale": "en-US"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rawFiles: [
{storageId: 'e48eda63928c4155bez9fdbsaadc15f3', info: {name: 'entry-123.json'}}
],
sourceLocale: 'en-US'
})
};

fetch('https://eu.phrase.com/connectors/contentful2/v1/sync/convert-to-xliff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "storageId": "e48eda63928c4155bez9fdbsaadc15f3"
}
{
"problemDetail": {
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"properties": {}
}
}

Authorizations

Authorization
string
header
required

IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer

Headers

X-ActionId
string

A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.

X-ResponseType
enum<string>

Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default.

Available options:
ID,
OBJECT

Body

application/json

Request body for converting already-stored raw Contentful content into XLIFF 2.0 without re-downloading from Contentful.

rawFiles
object[]
required

List of stored raw files (each carrying its storageId and original metadata) to convert.

sourceLocale
string
required

Source locale of the content (Contentful locale code).

Example:

"en-US"

Response

OK — JSON storageId envelope (returned when X-ResponseType=ID).

storageId
string